Skip to content

Backups

All operations require authentication.

2 operationsv2/publicCloud/project
Agent setup

List backupsBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/backup

Returns the backups of all analytics services of the project, across engines. Filter them by service with the serviceId parameter.

Path parameters

projectId
required
string

Project ID

Query parameters

serviceId
stringuuid

Filter backups by service identifier

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Backup[]successful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the backup was created

description
read-only
string

Human-readable description of the backup

expiredAt
read-only
stringdate-time

Date until point-in-time recovery is available from this backup

id
read-only
stringuuid

Unique identifier of the backup

regions
read-only
RegionEnum[]

Regions where this backup is stored

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
serviceId
read-only
stringuuid

Identifier of the service this backup belongs to

size
read-only
UnitAndValue

Size of the backup

status
read-only
BackupStatusEnum

Current readiness status of the backup

ValuesCREATINGDELETINGERRORREADY
type
read-only
BackupTypeEnum

Type of this backup

ValuesAUTOMATICMANUALNONEPITRSNAPSHOT

Example uses projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/backup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "description": "string", "expiredAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "regions": [ "af-north-lz-rba" ], "serviceId": "00000000-0000-0000-0000-000000000000", "size": { "unit": "GB", "value": 0 }, "status": "CREATING", "type": "AUTOMATIC" }]

Get a backupBeta

GET
/v2/publicCloud/project/{projectId}/managedAnalytics/backup/{backupId}

Returns the backup type, size, status and storage regions, and the date until which point-in-time recovery is available.

Path parameters

backupId
required
stringuuid

Backup ID

projectId
required
string

Project ID

Response

200Backupsuccessful operation
checksum
read-only
string

Hash of the resource used for concurrency control

createdAt
read-only
stringdate-time

Date at which the backup was created

description
read-only
string

Human-readable description of the backup

expiredAt
read-only
stringdate-time

Date until point-in-time recovery is available from this backup

id
read-only
stringuuid

Unique identifier of the backup

regions
read-only
RegionEnum[]

Regions where this backup is stored

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
serviceId
read-only
stringuuid

Identifier of the service this backup belongs to

size
read-only
UnitAndValue

Size of the backup

status
read-only
BackupStatusEnum

Current readiness status of the backup

ValuesCREATINGDELETINGERRORREADY
type
read-only
BackupTypeEnum

Type of this backup

ValuesAUTOMATICMANUALNONEPITRSNAPSHOT

Example uses backupId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedAnalytics/backup/{backupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "description": "string", "expiredAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "regions": [ "af-north-lz-rba" ], "serviceId": "00000000-0000-0000-0000-000000000000", "size": { "unit": "GB", "value": 0 }, "status": "CREATING", "type": "AUTOMATIC"}